<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_c244a470df52d1d5a708513" . "8ec94e393" => base64_decode("dW5zZXJpYWxpemU" . "="), "_5e9a99dc0dd49b907abf1b35e969" . "65f8" => base64_decode("dHJp" . "bQ=="), "_00228d8faefcea40b88e38b6f0ef8" . "fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbmcgb2YgQ29" . "udHJvbA=="), "_96be32a6f44bf54e635e1736a" . "cf7a96c" => base64_decode("c2VyaWF" . "saXpl"), "_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0" => base64_decode(""), "_347a430" . "4a606a9c" . "406a8fbc" . "8f72530a" . "1" => base64_decode("TWV0" . "aG9k" . "IA=="), "_fc9d7314a9d9958d8fa0a403ba8ff19" . "7" => base64_decode("Z2V0" . "X2Ns" . "YXNz"), "_ecfcdf0" . "11b493a3" . "e718c1fe" . "7034e0dc" . "d" => base64_decode("OjpMb2FkRnJvbUZvcm0oKSBtdXN0IGJlI" . "HJlZGVmaW5lZA=="), "_c9ae15d6968" . "5c02eeabd974" . "f86df51ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZS" . "ByZWRlZmluZWQ="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_96be32a6f44bf54e" . "635e1736acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_5e9a99dc0dd49b907" . "abf1b35e96965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_00228d8faefcea40b88e38b6" . "f0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c244a47" . "0df52d1d" . "5a708513" . "8ec94e39" . "3"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_347a4304a" . "606a9c406a" . "8fbc8f7253" . "0a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_fc9d7314a9d9958d8fa0a403b" . "a8ff197"]($this) . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_ecfcdf011b493a3e718c1fe7" . "034e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_347a4304a606a9c406a8f" . "bc8f72530a1"] . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_fc9d7314a9d9958d8fa0a403ba" . "8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c9ae15d69685c02eea" . "bd974f86df51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}